import {getStore, setStore} from '@/util/store'

import {getDictionary} from '@/views/api/system/dict'

const dict = {
  state: {
    flowRoutes: getStore({name: 'flowRoutes'}) || {},
  },
  actions: {
    FlowRoutes({commit}: any) {
      return new Promise((resolve, reject) => {
        getDictionary({code: 'flow'}).then((res: any) => {
          commit('SET_FLOW_ROUTES', res.data);
          resolve(res);
        }).catch((error: any) => {
          reject(error)
        })
      })
    },
  },
  mutations: {
    SET_FLOW_ROUTES: (state: any, data: any[]) => {
      state.flowRoutes = data.map(item => {
        return {
          routeKey: `${item.code}_${item.dictKey}`,
          routeValue: item.remark,
        };
      });
      setStore({name: 'flowRoutes', content: state.flowRoutes})
    },
  }

};

export default dict;
