/* eslint-disable */
// import request from '@/router/axios';
import request from '@/utils/request';
var pjson = require('@/global.json');
var coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getParentList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/parent-list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getChildList = (current: any, size: any, parentId: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/child-list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
      parentId: parentId,
    }
  })
}

export const remove = (ids: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/submit',
    method: 'post',
    data: row
  })
}


export const getDict = (id: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/detail',
    method: 'get',
    params: {
      id,
    }
  })
}
export const getDictTree = () => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/tree?code=DICT',
    method: 'get'
  })
}

export const getDictionary = (params: { code: string; }) => {
  return request({
    url: '/'+coderapi+'/coder-system/dict/dictionary',
    method: 'get',
    params,
  })
}
