/* eslint-disable */
// import request from '@/router/axios';
import request from '@/utils/request';
const pjson = require('@/global.json');
const coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getLazyList = (parentId: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/lazy-list',
    method: 'get',
    params: {
      ...params,
      parentId
    }
  })
}

export const getLazyMenuList = (parentId: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/lazy-menu-list',
    method: 'get',
    params: {
      ...params,
      parentId
    }
  })
}

export const getMenuList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/menu-list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getMenuTree = (tenantId: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/tree',
    method: 'get',
    params: {
      tenantId,
    }
  })
}

export const remove = (ids: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/submit',
    method: 'post',
    data: row
  })
}

export const getMenu = (id: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/detail',
    method: 'get',
    params: {
      id,
    }
  })
}

export const getTopMenu = () => request({
  url: '/'+coderapi+'/coder-system/menu/top-menu',
  method: 'get'
});

export const getRoutes = (topMenuId: any) => request({
  url: '/'+coderapi+'/coder-system/menu/routes',
  method: 'get',
  params: {
    topMenuId,
  }
});
