/* eslint-disable */
// import request from '@/router/axios';
import request from '@/utils/request';
const pjson = require('@/global.json');
const coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id: string) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids: string) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/submit',
    method: 'post',
    data: row
  })
}

export const setting = (ids: string, form: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/setting',
    method: 'post',
    params: {
      ...form,
      ids
    }
  })
}

export const datasource = (tenantId: string, datasourceId: string) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/datasource',
    method: 'post',
    params: {
      tenantId,
      datasourceId
    }
  })
}

export const info = (domain: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/tenant/info',
    method: 'get',
    params: {
      domain
    }
  })
}
