// import request from '@/router/axios';
import request from '@/utils/request';
const pjson = require('@/global.json');
const coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any, deptId: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
      deptId,
    }
  })
}

export const remove = (ids: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/update',
    method: 'post',
    data: row
  })
}

export const updatePlatform = (userId: any, userType: any, userExt: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/update-platform',
    method: 'post',
    params: {
      userId,
      userType,
      userExt,
    }
  })
}

export const getUser = (id: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/detail',
    method: 'get',
    params: {
      id,
    }
  })
}

export const getUserPlatform = (id: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/platform-detail',
    method: 'get',
    params: {
      id,
    }
  })
}

export const getUserInfo = () => {
  return request({
    url: '/'+coderapi+'/coder-user/info',
    method: 'get',
  })
}

export const resetPassword = (userIds: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/reset-password',
    method: 'post',
    params: {
      userIds,
    }
  })
}

export const updatePassword = (oldPassword: any, newPassword: any, newPassword1: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/update-password',
    method: 'post',
    params: {
      oldPassword,
      newPassword,
      newPassword1,
    }
  })
}
export const changePassword = (username: any, oldPassword: any, newPassword: any, newPassword1: any, newPwd: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/change-password',
    method: 'post',
    params: {
      username,
      oldPassword,
      newPassword,
      newPassword1,
      newPwd
    }
  })
}

export const updateInfo = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/update-info',
    method: 'post',
    data: row
  })
}

export const grant = (userIds: any, roleIds: any) => {
  return request({
    url: '/'+coderapi+'/coder-user/grant',
    method: 'post',
    params: {
      userIds,
      roleIds,
    }
  })
}
